package fortyonepost.com.cvxml; // 41 Post - Created by DimasTheDriver on Nov/16/2011 . Part of the 'Android: Initialize View class child from a XML file' post. Available at: http://www.41post.com/?p=4477 

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.util.AttributeSet;
import android.view.View;

public class CustomView extends View
{
	//variables to hold the custom attribute values
	private String redText;
	private int value;

	//a paint object to render the redText
	private Paint paint;

	public CustomView(Context context, AttributeSet attrs) 
	{
		super(context, attrs);
		
		//initialize the paint object
		paint = new Paint();
		//set the color to red
		paint.setColor(Color.RED);
		
		//initialize the redText String with the attribute with the same name at the XML file
		redText = attrs.getAttributeValue(null, "redText");
		//initialize the value integer with the attribute with the same name at the XML file
		value = attrs.getAttributeIntValue(null, "value", 0);
	}

	@Override
	protected void onDraw(Canvas canvas) 
	{
		super.onDraw(canvas);
		
		//render the redText at the specified position
		canvas.drawText(redText, 10, 100, paint);
		
		//render the integer variable value
		canvas.drawText("Value: " + Integer.toString(value), 10, 140, paint);
	}

}
